Publ: Development Blog

Publ v0.7.10 v0.7.11 released

Posted (7 months ago)

Version 0.7.10 0.7.11 of Publ has been released. Not much different from 0.7.9:

  • Force an update of Pygments to remove a temporary backwards-compatibility hack
  • Add proper support for WebP image compression (as seen in the image rendition options)
  • Make the installations of whoosh and authl optional, to cut down on installation bloat for sites that don’t need them

The dependency changes have the potential for breaking functionality in existing sites. In order to restore full-text search and federated authentication, you’ll need to add whoosh and authl to your deployment options, respectively. If you’re using Poetry or another dependency manager which understands extras, you can specify the search and auth extras in your pyproject.toml; for example:

pyproject.toml
[tool.poetry.dependencies]
python = "^3.8"
gunicorn = "^20.0.4"
publ = {version = "^0.7.9", extras = ["search","auth"]}
pushl = "^0.3.3"
python-memcached = "^1.59"

Hopefully this is a helpful change for some people, and not too annoying for others.

Update: Until I tried to roll out a site without Authl enabled, I had failed to realize one spot where Authl was still being unconditionally imported. If you actually want to run without Authl, update to v0.7.11.